Bug 13519 - LDB 1.4.0 breaks Samba < 4.9
LDB 1.4.0 breaks Samba < 4.9
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.8.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-07-11 01:40 UTC by Andrew Bartlett
Modified: 2018-08-14 11:04 UTC (History)
1 user (show)

See Also:


Attachments
patch for Samba 4.8 (4.25 KB, patch)
2018-07-26 05:05 UTC, Andrew Bartlett
dbagnall: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2018-07-11 01:40:02 UTC
Samba 4.9 introduces ldb 1.4.0 which requires that a new LDB is opened after each fork(), rather than just that the caller has called tdb_reopen_all().  This is to make the behaviour of LMDB the same as TDB.

Only Samba 4.9 has this behaviour, so Samba 4.8 and earlier are incompatible with ldb 1.4 and above.
Comment 1 Andrew Bartlett 2018-07-26 05:05:52 UTC
Created attachment 14336 [details]
patch for Samba 4.8

This changes the 'samba' part of the ldb wscript to refuse to build against the wrong (newer) version of ldb from the system.
Comment 2 Andrew Bartlett 2018-07-26 05:15:27 UTC
This patch also applies to Samba 4.7
Comment 3 Douglas Bagnall 2018-07-26 05:37:42 UTC
This should go in the next 4.7 and 4.8!

thanks.
Comment 4 Karolin Seeger 2018-07-28 03:56:41 UTC
Pushed to autobuild-v4-{8,7}-test.
Comment 5 Karolin Seeger 2018-08-14 11:04:21 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!